import { ITraining } from "./src/training/types";

const data: { trainings: ITraining[]; polls: any } = {
  trainings: [
    {
      id: "training0",
      title: "Homework 1",
      type: {
        id: "type0",
        name: "Core + Legs",
        description: "Some all time favorites.",
      },
      createdAt: "2020-04-07T21:13:43.284Z",
      trainingDate: "2020-04-08T09:45:00.000Z",
      location: "At home",
      registrations: [],
      attendance: 0,
      ratings: [],
      published: true,
      blocks: [
        {
          id: "block0",
          sequence: 0,
          title: "Work B**ch",
          repetitions: 1,
          rest: 90,
          video: "/media/workbitch.mp4",
          format: {
            id: "format0",
            name: "Sequence",
            description: "Sequence of exercises",
          },
          blocks: [
            {
              id: "block2",
              duration: 16,
              exercises: [
                {
                  id: "exercise0",
                  name: "Pulsing crunch with high knees",
                  repetitions: 1,
                  description:
                    "Jog pulling your knees up high while moving sideways",
                  videos: ["https://www.youtube.com/watch?v=s5GanRixp6I"],
                  pictures: [
                    "https://media1.popsugar-assets.com/files/thumbor/xfgCQbEWOZpPDA_HTMSfgcOnYYE/fit-in/1024x1024/filters:format_auto-!!-:strip_icc-!!-/2015/06/26/981/n/1922729/a7719ba19ea7a1ae_lateral-run-and-hold/i/Tabata-One-Lateral-High-Knee-Run-Hold.jpg",
                  ],
                  targets: [],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Jog on the spot",
                  },
                },
              ],
            },
            {
              id: "block3",
              duration: 30,
              exercises: [
                {
                  id: "exercise1",
                  name: "Oblique crunch - right",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 46,
              exercises: [
                {
                  id: "exercise1",
                  name: "Bicycle crunch",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 30,
              exercises: [
                {
                  id: "exercise1",
                  name: "Oblique crunch - left",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 45,
              exercises: [
                {
                  id: "exercise1",
                  name: "Russian Twist",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 18,
              exercises: [
                {
                  id: "exercise1",
                  name: "Plank",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 45,
              exercises: [
                {
                  id: "exercise1",
                  name: "Plank with arm extension",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              exercises: [
                {
                  id: "exercise1",
                  name: "Plank with knee drops",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
          ],
        },
        {
          id: "block0",
          sequence: 0,
          title: "Sally",
          repetitions: 1,
          rest: 90,
          video: "/media/flowers.mp4",
          format: {
            id: "format0",
            name: "Sequence",
            description: "Sequence of exercises",
          },
          blocks: [
            {
              id: "block4",
              duration: 205,
              exercises: [
                {
                  id: "exercise1",
                  name: "Bring Sally up - bring Sally down",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
          ],
        },
        {
          id: "block0",
          sequence: 0,
          title: "Killer",
          repetitions: 1,
          rest: 90,
          video: "/media/killer.mp4",
          format: {
            id: "format0",
            name: "Sequence",
            description: "Sequence of exercises",
          },
          blocks: [
            {
              id: "block2",
              duration: 15,
              exercises: [
                {
                  id: "exercise0",
                  name: "Plank",
                  repetitions: 1,
                  description:
                    "Jog pulling your knees up high while moving sideways",
                  videos: ["https://www.youtube.com/watch?v=s5GanRixp6I"],
                  pictures: [
                    "https://media1.popsugar-assets.com/files/thumbor/xfgCQbEWOZpPDA_HTMSfgcOnYYE/fit-in/1024x1024/filters:format_auto-!!-:strip_icc-!!-/2015/06/26/981/n/1922729/a7719ba19ea7a1ae_lateral-run-and-hold/i/Tabata-One-Lateral-High-Knee-Run-Hold.jpg",
                  ],
                  targets: [],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Jog on the spot",
                  },
                },
              ],
            },
            {
              id: "block3",
              duration: 45,
              exercises: [
                {
                  id: "exercise1",
                  name: "Plank combo 1: Arms, legs, knees",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 45,
              exercises: [
                {
                  id: "exercise1",
                  name: "Plank combo 2: Pushup, hydrant",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 15,
              exercises: [
                {
                  id: "exercise1",
                  name: "Transition to back, hold knees high",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 40,
              exercises: [
                {
                  id: "exercise1",
                  name: "Crunch combo: center - left - center - right",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 5,
              exercises: [
                {
                  id: "exercise1",
                  name: "Quick transition",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 60,
              exercises: [
                {
                  id: "exercise1",
                  name: "Plank combo 1: Arms, legs, knees",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 30,
              exercises: [
                {
                  id: "exercise1",
                  name: "Plank combo 2: Pushup, hydrant",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 15,
              exercises: [
                {
                  id: "exercise1",
                  name: "Plank",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 15,
              exercises: [
                {
                  id: "exercise1",
                  name: "Plank with fast knee drops",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
          ],
        },
      ],
    },
  ],
  polls: [],
};

export default data;
