import { useField } from 'formik'
import { InputProps } from '../types'

const Checkbox = ({ children, ...props }: any) => {
  const [field, meta] = useField({ ...props, type: 'checkbox' })
  return (
    <>
      <label className='checkbox'>
        <input type='checkbox' {...field} {...props} />
      </label>
    </>
  )
}

export default Checkbox